petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchMonitorSet

Sets an ADDITIONAL function that is to be used at every iteration of the nonlinear solver to display the iteration's progress.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchMonitorSet(SNESLineSearch ls,PetscErrorCode (*f)(SNESLineSearch,void*),void *mctx,PetscErrorCode (*monitordestroy)(void**))

Logically Collective on SNESLineSearch Many br

### Input Parameters

| ls | - the SNESLineSearch context Many br
| f | - the monitor function Many br
| mctx | - [optional] user-defined context for private data for the Many brmonitor routine (use NULL if no context is desired) Many br
| monitordestroy | - [optional] routine that frees monitor context Many br(may be NULL) Many br

### Notes

Several different monitoring routines may be set by calling Many brSNESLineSearchMonitorSet() multiple times; all will be called in the Many brorder in which they were set. Many br

Fortran notes: Only a single monitor function can be set for each SNESLineSearch object Many br

Many br

### Keywords

SNESLineSearch, nonlinear, set, monitor

### See Also

SNESLineSearchMonitorDefault(), SNESLineSearchMonitorCancel()

Level:intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages